# $Id: $
# repo: RE
# restrictions: el4, el5

%global uid 47
%global username ladvd
%global homedir %{_localstatedir}/run/%{name}
%global gecos CDP/LLDP sender for unix


Name:           ladvd
Version:        0.9.2
Release:        %RErelease 2
Summary:        CDP/LLDP sender for unix
Group:          Applications/Internet
License:        ISC
URL:            http://www.blinkenlights.nl/software/ladvd/
Source0:        http://www.blinkenlights.nl/software/ladvd/ladvd-%{version}.tar.gz
Source1:        ladvd.sysconfig
Source2:        ladvd.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libevent-devel
BuildRequires:  pkgconfig
BuildRequires:  libcap-devel
BuildRequires:	rpm-macros-razorsedge
%if "%errata" >= "160"
%bcond_without  fedora
BuildRequires:  fedora-usermgmt-devel
%{?FE_USERADD_REQ}
Provides:       group(%username) = %uid
Provides:       user(%username)  = %uid
%else
Requires(pre): fedora-usermgmt
Requires(postun): fedora-usermgmt
%endif
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service


%description 
ladvd uses cdp / lldp frames to inform switches about connected hosts, which
simplifies ethernet switch management. Every 30 seconds it will transmit CDP/
LLDP packets reflecting the current system state. Interfaces (bridge, bonding,
wireless), capabilities (bridging, forwarding, wireless) and addresses (IPv4,
IPv6) are detected dynamically.


%prep
%setup -q

%build
%configure \
        --with-user=%username \
        --with-pid-dir=%{_localstatedir}/run
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_docdir}/ladvd
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}
mkdir -p %{buildroot}%{homedir}


%clean
rm -rf %{buildroot}


%if "%errata" >= "160"
%pre
%__fe_groupadd %uid -r %username &>/dev/null || :
%__fe_useradd  %uid -r -s /sbin/nologin -d %homedir -M          \
-c '%gecos' -g %username %username &>/dev/null || :


%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart >/dev/null 2>&1
fi
%__fe_userdel  %username &>/dev/null || :
%__fe_groupdel %username &>/dev/null || :
%else
%pre
/usr/sbin/fedora-groupadd %{uid} -r %{username} &>/dev/null || :
/usr/sbin/fedora-useradd  %{uid} -r -s /bin/bash -d %{homedir} -M \
                      -c %{gecos} -g %{username} %{username} &>/dev/null || :


%postun
test "$1" != 0 || /usr/sbin/fedora-userdel  %{username} &>/dev/null || :
test "$1" != 0 || /usr/sbin/fedora-groupdel %{username} &>/dev/null || :
%endif


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 = 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1
        /sbin/chkconfig --del %{name}
fi


%files
%defattr(-,root,root,-)
%doc doc/ChangeLog doc/README doc/LICENSE doc/TODO
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_initrddir}/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}c
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/%{name}c.8*
%ghost %attr(0755,root,root) %dir %{_localstatedir}/run/%{name}


%changelog
* Sun Apr 24 2011 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.9.2-2
- Modified to build on EL4/5.

* Sun Feb 13 2011 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.9.2-1
- new upstream version 0.9.2
- package ladvdc - client command
- simplify initscript, rely on protocol autodetection like upstream suggests
- move homedir to /var/run/ladvd

* Wed Aug 26 2009 Andreas Thienemann <andreas@bawue.net> - 0.8-1
- Rebase to new upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 18 2008 Andreas Thienemann <andreas@bawue.net> 0.6.1-2
- Added SElinux support package
- Added patch to make it build on EL-4
- Added separate ladvd user

* Sat Oct 18 2008 Andreas Thienemann <andreas@bawue.net> 0.6.1-1
- Initial package
